OpenTTD Source: BaseGraphics Class Reference

OpenTTD Source 15.0-RC2

Data Structures | Static Public Attributes
BaseGraphics Class Reference

All data/functions related with replacing the base graphics. More...

`#include <base_media_graphics.h>`

Inheritance diagram for BaseGraphics:

## Data Structures
struct | Ini
| Values loaded from config file. More...

## Static Public Attributes
static Ini | ini_data

## Additional Inherited Members
Static Public Member Functions inherited from BaseMedia< GraphicsSet >
static bool | DetermineBestSet ()
| Determine the graphics pack that has to be used.
static uint | FindSets ()
| Do the scan for files.
static std::span< const std::unique_ptr< GraphicsSet > > | GetAvailableSets ()
| Return the available sets.
static bool | SetSet (const GraphicsSet *set)
| Set the set to be used.
static bool | SetSetByName (const std::string &name)
| Set the set to be used.
static bool | SetSetByShortname (uint32_t shortname)
| Set the set to be used.
static void | GetSetsList (std::back_insert_iterator< std::string > &output_iterator)
| Returns a list with the sets.
static int | GetNumSets ()
| Count the number of available graphics sets.
static int | GetIndexOfUsedSet ()
| Get the index of the currently active graphics set.
static const GraphicsSet * | GetSet (int index)
| Get the name of the graphics set at the specified index.
static const GraphicsSet * | GetUsedSet ()
| Return the used set.
static bool | HasSet (const ContentInfo &ci, bool md5sum)
| Check whether we have an set with the exact characteristics as ci.
Protected Member Functions inherited from BaseMedia< GraphicsSet >
bool | AddFile (const std::string &filename, size_t basepath_length, const std::string &tar_filename) override
| Add a file with the given filename.
Static Protected Member Functions inherited from BaseMedia< GraphicsSet >
static std::string_view | GetExtension ()
| Get the extension that is used to identify this set.
static std::span< const std::unique_ptr< GraphicsSet > > | GetDuplicateSets ()
| Return the duplicate sets.
Static Protected Attributes inherited from BaseMedia< GraphicsSet >
static std::vector< std::unique_ptr< GraphicsSet > > | available_sets
| All available sets.
static std::vector< std::unique_ptr< GraphicsSet > > | duplicate_sets
| All sets that aren't available, but needed for not downloading base sets when a newer version than the one on BaNaNaS is loaded.
static const GraphicsSet * | used_set
| The currently used set.

## Detailed Description

All data/functions related with replacing the base graphics.

Definition at line 61 of file base_media_graphics.h.

## Field Documentation

## ◆ ini_data

Ini BaseGraphics::ini_data
| inlinestatic

Definition at line 70 of file base_media_graphics.h.

The documentation for this class was generated from the following file:

- src/base_media_graphics.h